## org.apache.cassandra.db.marshal
Class CounterColumnType

    java.lang.Object
      org.apache.cassandra.db.marshal.AbstractType<java.lang.Long>
          org.apache.cassandra.db.marshal.AbstractCommutativeType
              org.apache.cassandra.db.marshal.CounterColumnType

All Implemented Interfaces:
  java.util.Comparator<java.nio.ByteBuffer>

    public class CounterColumnType

extends AbstractCommutativeType

Field Summary
`static CounterColumnType` `instance`

Fields inherited from class org.apache.cassandra.db.marshal.AbstractType
`columnComparator, columnReverseComparator, indexComparator, indexReverseComparator, reverseComparator`

Method Summary
`int` `compare(java.nio.ByteBuffer o1, java.nio.ByteBuffer o2)`
`Column` `createColumn(java.nio.ByteBuffer name, java.nio.ByteBuffer value, long timestamp)` create commutative column
`java.nio.ByteBuffer` `fromString(java.lang.String source)` get a byte representation of the given string.
`java.lang.String` `getString(java.nio.ByteBuffer bytes)` get a string representation of the bytes suitable for log messages
`void` `validate(java.nio.ByteBuffer bytes)`

Methods inherited from class org.apache.cassandra.db.marshal.AbstractCommutativeType
`compose, decompose, isCommutative`

Methods inherited from class org.apache.cassandra.db.marshal.AbstractType
`getColumnsString, getReverseComparator, getString, parseDefaultParameters, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### instance

    public static final CounterColumnType instance

Method Detail

### compare

    public int compare(java.nio.ByteBuffer o1,
                       java.nio.ByteBuffer o2)

### getString

    public java.lang.String getString(java.nio.ByteBuffer bytes)

  Description copied from class: `AbstractType`
  get a string representation of the bytes suitable for log messages

  Specified by:
    `getString` in class `AbstractType<java.lang.Long>`

### createColumn

    public Column createColumn(java.nio.ByteBuffer name,
                               java.nio.ByteBuffer value,
                               long timestamp)

  create commutative column

  Specified by:
    `createColumn` in class `AbstractCommutativeType`

### fromString

    public java.nio.ByteBuffer fromString(java.lang.String source)

  Description copied from class: `AbstractType`
  get a byte representation of the given string. defaults to unsupportedoperation so people deploying custom Types can update at their leisure.

  Overrides:
    `fromString` in class `AbstractType<java.lang.Long>`

### validate

    public void validate(java.nio.ByteBuffer bytes)
                  throws MarshalException

  Specified by:
    `validate` in class `AbstractType<java.lang.Long>`
  Throws:
    `MarshalException`

Copyright © 2012 The Apache Software Foundation